%global _empty_manifest_terminate_build 0
Name:		python-flufl.bounce
Version:	4.0
Release:	1
Summary:	Email bounce detectors.
License:	Apache-2.0
URL:		https://pypi.org/project/flufl.bounce
Source0:	https://files.pythonhosted.org/packages/39/47/6e5fe952f70ff5c69d94135858fbbec730a72b4f697d7af8941c4e4c7e96/flufl.bounce-4.0.tar.gz
BuildArch:	noarch

%description
The flufl.bounce library provides a set of heuristics and an API for detecting
the original bouncing email addresses from a bounce message.
Many formats found in the wild are supported, as are VERP and RFC 3464 (DSN).

%package -n python3-flufl.bounce
Summary:	Email bounce detectors.
Provides:	python-flufl.bounce
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools

%description -n python3-flufl.bounce
The flufl.bounce library provides a set of heuristics and an API for detecting
the original bouncing email addresses from a bounce message.
Many formats found in the wild are supported, as are VERP and RFC 3464 (DSN).

%package help
Summary:	Development documents and examples for flufl.bounce
Provides:	python3-flufl.bounce-doc

%description help
Development documents and examples for flufl.bounce.

%prep
%autosetup -n flufl.bounce-%{version}

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-flufl.bounce -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_pkgdocdir}

%changelog
* Mon Aug 8 2022 wenzhiwei <wenzhiwei@kylinos.cn> - 4.0-1
- Update to 4.0

* Thu Dec 31 2020 leiju <leiju4@huawei.com>
- Modify Spec and yaml filename

* Thu Dec 17 2020 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
